public enum DsModErrorCodes {
	/** The error code for missing action. */
	ERR_CODE_MISSING_ACTION(-101, "Missing action details in request"),
	/** The error code for missing action string. */
	ERR_CODE_MISSING_ACTION_STRING(-102, "Missing action string in request"),
	/** The error code for missing source file. */
	ERR_CODE_MISSING_SOURCE(-103, "Missing source object in graph model"),
	/** The error code for two many source files. */
	ERR_CODE_TWO_MANY_SOURCES(-104, "Two many source objects defined in graph model"),
	/** The error code for wrong source type. */
	ERR_CODE_WRONG_SOURCE(-105, "Found wrong object type, source must be a file"),
	/** The error code for missing target. */
	ERR_CODE_MISSING_TARGET(-106, "Missing target object in graph model"),
	/** The error code for two many targets. */
	ERR_CODE_TWO_MANY_TARGETS(-107, "Two many target objects defined in graph model"),
	/** The error code for wrong target type. */
	ERR_CODE_WRONG_TARGET(-108, "Found wrong object type, target must be a flat file"),
	/** The error code for missing column names. */
	ERR_CODE_MISSING_COLUMNS(-109, "Missing column names attribute"),
	/** The error code for missing command. */
	ERR_CODE_MISSING_COMMAND(-110, "Missing module command"),
	/** The error code for database connect problem. */
	ERR_CODE_CONNECTION_PROBLEM(-111, "Cannot open database connection"),
	/** The error code for unknown command. */
	ERR_CODE_UNKNOWN_COMMAND(-112, "Database connection must not be null"),
	/** The error code for read/write problems. */
	ERR_CODE_TRANSFORM_PROBLEM(-113, "Problem when reading and writing"),
	/** The error code for table write problems. */
	ERR_CODE_TABLEWRITE_PROBLEM(-114, "Problem when writing target table"),
	/** The error code for different source databases. */
	ERR_CODE_DIFFERENT_DBS(-115, "All source tables must reside in same database"),
	;
	
	/** The error code. */
	private int errorCode;
	/** The error message. */
	private String errorMessage;

	private DsModErrorCodes(int errorCode, String errorMessage) {
		this.errorCode = errorCode;
		this.errorMessage = errorMessage;
	}
	
	public int getErrorCode() {
		return errorCode;
	}
	
	public String getErrorMessage() {
		return errorMessage;
	}
}
