import java.io.IOException;
import java.net.URL;
import java.util.Objects;
import java.util.jar.Attributes;
import java.util.jar.Manifest;

public class Version {
	public static void main(String[] args) {
		Class<?> clazz = Version.class;
		String className = clazz.getSimpleName() + ".class";
		String classPath = Objects.requireNonNull(clazz.getResource(className)).toString();
		String manifestPath = classPath.substring(0, classPath.lastIndexOf("!") + 1) + "/META-INF/MANIFEST.MF";

		Manifest manifest = null;
		try {
			manifest = new Manifest(new URL(manifestPath).openStream());
		} catch (IOException e) {
			e.printStackTrace();
		}
		Attributes attrs = null;
		if (manifest != null) {
			attrs = manifest.getMainAttributes();
		}
		if (attrs != null) {
			System.out.println("GIT_ID: " + attrs.getValue(new Attributes.Name("Implementation-Git-Id")));
			System.out.println("BUILD_DATE: " + attrs.getValue(new Attributes.Name("Implementation-Build-Date")));
		} else {
			System.out.println("MODULE_VERSION: not available");
		}
	}
}
